import 'package:url_launcher/url_launcher.dart';

Future<void> launchUrl(String url, String fallbackUrl) async {
  try {
    bool launched = await launch(
      url,
      forceSafariVC: false,
      forceWebView: false,
      headers: <String, String>{'my_header_key': 'my_header_value'},
    );

    if (!launched) {
      await launch(
        fallbackUrl,
        forceSafariVC: false,
        forceWebView: false,
        headers: <String, String>{'my_header_key': 'my_header_value'},
      );
    }
  } catch (e) {
    await launch(
      fallbackUrl,
      forceSafariVC: false,
      forceWebView: false,
      headers: <String, String>{'my_header_key': 'my_header_value'},
    );
  }
}
